Subject: [PATCH] drivers/base: fix compiler warning in SoC export driver - idr should be ida

From: [email-masked] (Arnd Bergmann)
Date: Thu, 29 Mar 2012 13:46:45 +0000

On Saturday 17 March 2012, Arnd Bergmann wrote:
> On Saturday 17 March 2012, Lee Jones wrote:
> > 
> > This fixes:
> >   note: expected ?struct ida *? but argument is of type ?struct idr *?
> >   warning: passing argument 1 of ?ida_pre_get? from incompatible pointer type
> > 
> > Reported-by: Arnd Bergman <[email-masked]>
> > Cc: Greg Kroah-Hartman <[email-masked]>
> > Signed-off-by: Lee Jones <[email-masked]>
> >
> >  drivers/base/soc.c |    2 +-
> 
> Acked-by: Arnd Bergmann <[email-masked]>
> 
> Greg, are you taking this through your tree?

I've applied it to arm-soc/fixes now. Greg, if you have any objections,
tell me before the weekend and I'll take it out again, otherwise I'll
submit it before -rc1.

	Arnd